#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const fs = require("fs");
const path = require("path");
const _1 = require("./");
const defaultPackageJsonPath = path.join(__dirname, 'package.json');
const packageJsonPath = fs.existsSync(defaultPackageJsonPath)
    ? defaultPackageJsonPath
    : path.join(__dirname, '../package.json');
const packageJson = fs.readFileSync(packageJsonPath, 'utf-8');
const { description, version } = JSON.parse(packageJson);
program
    .version(version)
    .description(description)
    .option('-s, --server <host>', 'Specify a custom NTP server')
    .option('-p, --port <number>', 'Specify a custom NTP port')
    .option('-t, --timeout <number>', 'Specify the timeout in milliseconds')
    .parse(process.argv);
new _1.NTPClient(Object.assign({}, (program.server && { server: program.server }), (program.port && { port: program.port }), (program.timeout && { replyTimeout: program.timeout })))
    .getNetworkTime()
    .then(date => console.log(date.toString()))
    .catch(err => {
    console.error(err);
    process.exit(1);
});
//# sourceMappingURL=cli.js.map